#pragma once

#include "driverlib.h"
#include "device.h"
#include "usblib/usbd.h"

// Define to pass to SysCtl_setAuxClock(). Will configure the clock as follows:
// AUXPLLCLK =
//       10MHz (XTAL_OSC) * 12 (IMULT) / (2 (SYSDIV) )
//
#define DEVICE_AUXSETCLOCK_CFG_USB   (SYSCTL_OSCSRC_XTAL | SYSCTL_PLL_ENABLE |\
                                      SYSCTL_IMULT(12) | SYSCTL_SYSDIV(2))
void CPUTimerInit();

namespace usb{
void GPIOEnable();
void DeviceIntHandler();
}
